from typing import Union

from fastapi import FastAPI

app = FastAPI()


@app.get("/")
def read_root():
    return {"Hello": "World"}

@app.post("account/signin", status_code=501)
def account_signin():
    return False

@app.post("account/login", status_code=501)
def account_login():
    # return JWT token
    return False

@app.get("account/renewauthtoken", status_code=501)
def account_renewAuthToken():
    return False

@app.get("fetcher", status_code=501)
def fetcher_get():
    return False

@app.post("fetcher", status_code=501)
def fetcher_add():
    return False

@app.delete("fetcher", status_code=501)
def fetcher_delete():
    return False

#report/get
#report/delete
#report/add
